<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/*** プロフィールの詳細でHTMLを許可 ***/
/* 投稿で使用できるHTMLタグのみを許可 */
function haup_manage_user_description_allow_html() {
// 管理画面、かつ、現在のユーザーがプロフィール編集できる権限を有するかどうかを確認
	if (is_admin() && current_user_can( 'edit_user')) {
		// pre_user_description のksesフィルターを無効化
		remove_filter('pre_user_description', 'wp_filter_kses');
		//改めてwp_kses_postでフィルターを構成
		add_filter('pre_user_description','wp_kses_post');
	}
}
add_action('init', 'haup_manage_user_description_allow_html');